const aiNick = [
    "微信昵称",
    "秋淩",
    "一到胃",
    "久醉绕心弦",
    "羁绊ж",
    "余香",
    "[旋木]",
    "梦游者 🌙✨",
    "温暖的光 🌞️",
    "静谧时光 🕰️🌸",
    "微风轻拂",
    "岁月如歌 🎶",
    "晨曦初露 🌅",
    "时间总能抚平一切",
    "夏槿",
    "浅笑心柔",
    "绝不服输",
    "九北折",
    "末凉残念浮生若梦",
    "幸福已无缘",
    "厌倦了吗",
    "眼波传意",
    "心医",
    "温凉少女",
    "蹲街守寂寞",
    "暮凉",
    "还有醋v",
    "Goa'uld",
    "奋斗的吗喽",
    "国服最强人类",
    "万年老二",
    "向右向前看",
    "向佐",
    "高端玩家虐菜",
    "甜崽",
    "寄居人",
    "書冩時光",
    "比忠",
    "凝鹰",
    "街角迷惘",
    "等待圉鍢",
    "奶坤o(≧v≦、o",
    "28、三知你冷暖",
    "少女心英雄梦",
    "笑衬心酸",
    "素手挽清风",
    "眉间万般柔情",
    "千里故人稀",
    "爱上孤独",
    "独闯女儿国",
    "绳情",
    "夏天的巴比伦狠美",
    "斗魂如焚",
    "别挽留",
    "Soul（灵魂）",
    "浮华",
    "十三预见离别",
    "低调的爆发",
    "度忆",
    "月下凄凉",
    "傻孩子",
    "赤光旅行",
    "血狂暴者",
    "转身未来",
    "薄幸つ。",
    "倾听心跳的旋律",
    "捶死心动",
    "只知→坚持",
    "想有一个有你的家",
    "菰单嚤迗轮",
    "一十里桃花不如你",
    "天会亮心会暖",
    "春来赏花",
    "携君以终年",
    "冥幽",
    "把刀藏进衣袖",
    "萌翻你",
    "还好有你在",
    "笑脸如初",
    "入玫瑰林",
    "浪推晚风",
    "浮生醉清风",
    "放飞的风筝",
    "现世安稳",
    "殇ㄨ到此止",
    "语过添情",
    "帅炸宇宙",
    "十里温柔",
    "平安喜乐",
    "浅笙",
    "吧唧你一口",
    "暮色兮凉城",
    "醉熏君心丶",
    "清酒",
    "月光下的甜蜜",
    "不再入戏",
    "一腔孤勇",
    "争取第一",
    "隔岸观火",
    "但却是唯一",
    "南巷清风",
    "明媚殇",
    "月野兔",
    "吃不饱",
    "笨死的猪",
    "妳是的陽光",
    "不告而别",
    "无人像你"
];

const usedNick = [];

export function useNick(num: number = 1) {
    num = Math.max(num, 0);

    const nickArr = [];

    while (num > 0) {
        if (aiNick.length <= 0) {
            nickArr.push("微信昵称");
        } else {
            const index = Math.floor(Math.random() * aiNick.length);
            const nick = aiNick.splice(index, 1)[0];
            nickArr.push(nick);
            usedNick.push(nick);
        }
        num--;
    }

    return nickArr;
}